library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;
library work;
use work.image_pack.all;

entity comp2 is
port(
	a : in pixel;
	b : in pixel;
	small : out pixel;
	big : out pixel
);
end comp2;

architecture arch1 of comp2 is
begin
	process (a, b)
	begin
		if a < b then
			small <= a;
			big <= b;
		else
			small <= b;
			big <= a;
		end if;
	end process;

end arch1;