library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;
library work;
use work.image_pack.all;

entity comp3 is
port(
	a : in pixel;
	b : in pixel;
	c : in pixel;
	small : out pixel;
	mid : out pixel;
	big : out pixel
);
end comp3;

architecture arch1 of comp3 is
component comp2
port(
	a : in pixel;
	b : in pixel;
	small : out pixel;
	big : out pixel
);
end component;

signal s1 : pixel;
signal s2 : pixel;
signal s3 : pixel;

begin
	inst1 : comp2 port map (a,b,s1,s2);
	inst2 : comp2 port map (s2,c,s3,big);
	inst3 : comp2 port map (s1,s3,small,mid);
end arch1;